Bug 520342

Summary: crash when browsing LDAP server
Product: [Fedora] Fedora Reporter: Matěj Cepl <mcepl>
Component: gqAssignee: Terje Røsten <terjeros>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 19CC: acarbs12, apogi.muller, bethebeast, blemidon, brian, bugzilla.redhat, bugzilla, crank.79, dan, dbranchini, dfazio, ekanter, gregor.binder, horner, johannbg, klement.sekera, me, mike, nep, peljasz, phaleintx, salimb, scorpy_sk, ssabcew, svk0, terjeros, theophanis_kontogiannis, tswsl1989
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: gq-1.3.4-19.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-12-02 04:34:09 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
backtrace
none
backtrace
none
backtrace none

Description Matěj Cepl 2009-08-30 19:54:52 EDT
Created attachment 359212 [details]
backtrace

Description of problem:
crash when browsing (see below for description)

Version-Release number of selected component (if applicable):
gq-1.3.4-5.fc12.x86_64

How reproducible:
100%

Steps to Reproduce:
1.go to Browse tab
2.switch to another window and back
3.
  
Actual results:
core dump

Expected results:
gq still working

Additional info:
Comment 1 Matěj Cepl 2009-08-30 19:55:33 EDT
Created attachment 359213 [details]
backtrace
Comment 2 Matěj Cepl 2009-08-30 19:55:52 EDT
Created attachment 359214 [details]
backtrace
Comment 3 Terje Røsten 2009-09-11 18:16:55 EDT
I believe I need help with this one, gq is a bit problematic as upstream seems dead.
Comment 4 Bug Zapper 2009-11-16 06:50:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Terje Røsten 2010-08-30 14:54:38 EDT
*** Bug 544041 has been marked as a duplicate of this bug. ***
Comment 6 Terje Røsten 2010-08-30 14:55:54 EDT
*** Bug 554404 has been marked as a duplicate of this bug. ***
Comment 7 Terje Røsten 2010-08-30 14:56:39 EDT
*** Bug 560115 has been marked as a duplicate of this bug. ***
Comment 8 Terje Røsten 2010-08-30 14:57:38 EDT
*** Bug 567237 has been marked as a duplicate of this bug. ***
Comment 9 Terje Røsten 2010-08-30 14:58:42 EDT
*** Bug 570115 has been marked as a duplicate of this bug. ***
Comment 10 Terje Røsten 2010-08-30 14:59:48 EDT
*** Bug 578156 has been marked as a duplicate of this bug. ***
Comment 11 Terje Røsten 2010-08-30 15:01:43 EDT
*** Bug 580221 has been marked as a duplicate of this bug. ***
Comment 12 Terje Røsten 2010-08-30 15:02:25 EDT
*** Bug 592840 has been marked as a duplicate of this bug. ***
Comment 13 Terje Røsten 2010-08-30 15:03:03 EDT
*** Bug 598028 has been marked as a duplicate of this bug. ***
Comment 14 Terje Røsten 2010-08-30 15:10:54 EDT
*** Bug 598235 has been marked as a duplicate of this bug. ***
Comment 15 Terje Røsten 2010-08-30 15:11:39 EDT
*** Bug 604693 has been marked as a duplicate of this bug. ***
Comment 16 Terje Røsten 2010-08-30 15:12:35 EDT
*** Bug 615323 has been marked as a duplicate of this bug. ***
Comment 17 Terje Røsten 2010-08-30 15:13:25 EDT
*** Bug 623159 has been marked as a duplicate of this bug. ***
Comment 18 Terje Røsten 2010-08-30 15:14:05 EDT
*** Bug 626880 has been marked as a duplicate of this bug. ***
Comment 19 Terje Røsten 2010-08-30 15:14:45 EDT
*** Bug 628389 has been marked as a duplicate of this bug. ***
Comment 20 Terje Røsten 2010-08-30 15:59:14 EDT
*** Bug 455402 has been marked as a duplicate of this bug. ***
Comment 21 Bug Zapper 2010-11-04 06:17:54 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Matěj Cepl 2010-11-04 19:53:02 EDT
Number of duplicates on this bug feels serious, but I am not able to test this anymore. There is no LDAP server in sight and not enough interest to test it. So, if it wasn't for the number of duplicates, I would call this CLOSED/INSUFFICIENT_DATA. Do as you think.
Comment 23 Jóhann B. Guðmundsson 2010-11-04 20:08:16 EDT
This bug still exist ( at least did for me on f13 I can confirm if it's still present tomorrow on F14 ) Last time I looked Sven had stopped maintaining it Terje can you confirm if upstream is dead?
Comment 24 Terje Røsten 2010-11-05 03:01:15 EDT
I have pinged Sven several times, I think he too busy to really work on all these issues (there are several different crashes). 

My current plan is orphan gq and replace with something better. I have a idea about what that "something" is, stay tuned.
Comment 25 Matěj Cepl 2010-11-05 06:47:46 EDT
(In reply to comment #22)
> Number of duplicates on this bug feels serious, but I am not able to test this
> anymore. There is no LDAP server in sight and not enough interest to test it.
> So, if it wasn't for the number of duplicates, I would call this
> CLOSED/INSUFFICIENT_DATA. Do as you think.

And of course, another sucky thing is that there is no other desktop LDAP client available (except of PHPLDAPAdmin which requires webserver, and an Eclipse LDAP plugin).
Comment 26 Terje Røsten 2010-11-07 13:33:05 EST
*** Bug 645744 has been marked as a duplicate of this bug. ***
Comment 27 Terje Røsten 2010-11-07 13:36:20 EST
*** Bug 635409 has been marked as a duplicate of this bug. ***
Comment 28 Terje Røsten 2011-01-17 10:09:57 EST
*** Bug 667875 has been marked as a duplicate of this bug. ***
Comment 29 Terje Røsten 2011-01-17 10:12:03 EST
*** Bug 661446 has been marked as a duplicate of this bug. ***
Comment 30 Terje Røsten 2011-07-10 05:36:56 EDT
*** Bug 710533 has been marked as a duplicate of this bug. ***
Comment 31 Terje Røsten 2011-07-10 05:37:22 EDT
*** Bug 714666 has been marked as a duplicate of this bug. ***
Comment 32 Terje Røsten 2011-10-17 09:16:40 EDT
*** Bug 738432 has been marked as a duplicate of this bug. ***
Comment 33 Terje Røsten 2011-12-06 14:01:02 EST
*** Bug 757865 has been marked as a duplicate of this bug. ***
Comment 34 Terje Røsten 2012-02-19 09:05:05 EST
*** Bug 789006 has been marked as a duplicate of this bug. ***
Comment 35 Mihamina Rakotomandimby 2012-03-02 07:04:57 EST
(In reply to comment #25)
> (In reply to comment #22)
> > Number of duplicates on this bug feels serious, but I am not able to test this
> > anymore. There is no LDAP server in sight and not enough interest to test it.
> > So, if it wasn't for the number of duplicates, I would call this
> > CLOSED/INSUFFICIENT_DATA. Do as you think.
> 
> And of course, another sucky thing is that there is no other desktop LDAP
> client available (except of PHPLDAPAdmin which requires webserver, and an
> Eclipse LDAP plugin).

Really sad...
I love gq and being obliged to setup a php-ldap thing is really annoying...
Comment 36 Daniele Branchini 2012-03-02 09:02:00 EST
(In reply to comment #35)
> (In reply to comment #25)
> > (In reply to comment #22)
> > > Number of duplicates on this bug feels serious, but I am not able to test this
> > > anymore. There is no LDAP server in sight and not enough interest to test it.
> > > So, if it wasn't for the number of duplicates, I would call this
> > > CLOSED/INSUFFICIENT_DATA. Do as you think.
> > 
> > And of course, another sucky thing is that there is no other desktop LDAP
> > client available (except of PHPLDAPAdmin which requires webserver, and an
> > Eclipse LDAP plugin).
> 
> Really sad...
> I love gq and being obliged to setup a php-ldap thing is really annoying...

just for information:

the only non-web non-java already-packaged-for-fedora ldap gui I found is luma
( http://sourceforge.net/projects/luma/ )

python based, the "browser" plugin is quite similar to gq, I did not test the other plugins (or any actual modification on the ldap server)

I assume we're all gq orphans here so I would venture to say that any other gq-replacement-suggestions at this point are welcome
Comment 37 Terje Røsten 2012-03-02 12:11:28 EST
Hi guys,

gq is in sad state that's for sure.

My recommended LDAP browser these days is Apache Directory Studio:

 http://directory.apache.org/studio/2.0/download/download-linux.html

Just unpack the tarball, change into the newly created directory on do:

./ApacheDirectoryStudio

If interest is there it might turn up in Fedora repos some day...
Comment 38 Terje Røsten 2012-03-25 16:29:34 EDT
*** Bug 804803 has been marked as a duplicate of this bug. ***
Comment 39 Чугунов Ярослав Викторович 2012-04-02 10:24:53 EDT
Package: gq-1.3.4-9.fc13
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.I don`t know
Comment 40 Terje Røsten 2012-05-11 03:11:30 EDT
*** Bug 820756 has been marked as a duplicate of this bug. ***
Comment 41 Terje Røsten 2012-12-15 10:28:08 EST
*** Bug 872757 has been marked as a duplicate of this bug. ***
Comment 42 Terje Røsten 2012-12-18 13:55:57 EST
*** Bug 868900 has been marked as a duplicate of this bug. ***
Comment 43 Fedora End Of Life 2013-04-03 16:17:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 44 Terje Røsten 2013-05-27 04:27:57 EDT
*** Bug 965551 has been marked as a duplicate of this bug. ***
Comment 45 Eugene Kanter 2013-08-25 19:36:29 EDT
Steps to reproduce on F19: Install 389-ds, following http://youtu.be/p31-gW82TAg instructions and creating one posix user. Start gq, file->preferences, create new server connection (my server is not on localhost, I used all defaults other then host and connection names) uncheck "ask for password on first connection". Close preferences. Restart gq. Click on browse tab. Wait for a minute or two, observe several new threads (LWP) as reported if started under gdb, then click on sever name. The SIGSEGV is instantaneous.
If server content expanded quickly after startup, the qg appears to read contents just fine but then get the same SIGSEGV, unrelated to what was read. Feels like a problem with threads stepping on each other somehow.

Using http://pkgs.org/download/gq I found several other gq releases and tried gq-1.2.3-1.el5.rf.x86_64.rpm from rpmforge and gq-1.3.4-4-rosa.lts2012.0.x86_64.rpm from rosa desktop. Both work flawlessly.
Comment 46 Fedora Update System 2013-11-18 15:23:19 EST
gq-1.3.4-18.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gq-1.3.4-18.fc19
Comment 47 Fedora Update System 2013-11-18 15:23:48 EST
gq-1.3.4-18.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gq-1.3.4-18.fc20
Comment 48 Fedora Update System 2013-11-18 15:24:12 EST
gq-1.3.4-18.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gq-1.3.4-18.fc18
Comment 49 Fedora Update System 2013-11-19 00:24:33 EST
Package gq-1.3.4-18.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gq-1.3.4-18.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21651/gq-1.3.4-18.fc18
then log in and leave karma (feedback).
Comment 50 Fedora Update System 2013-12-02 04:34:09 EST
gq-1.3.4-19.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 51 Fedora Update System 2013-12-02 04:37:45 EST
gq-1.3.4-19.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 52 Fedora Update System 2013-12-13 22:04:20 EST
gq-1.3.4-19.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.